package database

import "time"

func (d *Database) AddNewRecords(goods AutoGenerated) {

	for _, good := range goods.Good {
		//log.Println(key+1, ": ", good)
		var dd DatabaseData
		d.DB.Where("id = ?", good.ID).First(&dd)
		if dd.Name == "" {
			//log.Println("Create merchant")
			d.DB.Create(DatabaseData{
				ID:   good.ID,
				Code: good.Code,
				Name: good.Name,
			})
		} else {
			//log.Println("exist")
		}
		//log.Println("create statistics")
		d.DB.Create(Statistics{
			MerchantID: good.ID,
			Date:       time.Now(),
			Price:      good.Offers[0].Price,
		})
	}
}
